#ifndef WA_CUDAFFT_H_INCLUDED
#define WA_CUDAFFT_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <stdbool.h>
#include <string.h>

#include "WA_cuda.h"
#include "WA_datatypes.h"


/*
  Perform forward FFT to d_data. id contains dimension information.
 */
bool fft_CUDA_data(inputData *id, cuDoubleComplex *d_data);

/*
  Perform inverse FFT to input data.
 */
bool ifft_CUDA_data(inputData *id);

#endif
