#ifndef WA_FREQUENCYPARTITION_H_INCLUDED
#define WA_FREQUENCYPARTITION_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <stddef.h>
#include <math.h>

#include "WA_datatypes.h"

/*
  Generates monoscale frequency partition.
*/
bool UniformFrequencyPartition(const size_t n, frequencyPartition *freq_par);

/*
  Generates multiscale frequency partition (fancy partition).
*/
bool OrthogonalFrequencyPartition(const size_t n, frequencyPartition *freq_par);

void PrintFrequencyPartition(frequencyPartition *freq_par);
void FreeFrequencyPartition(frequencyPartition *freq_par);

#endif
