function [indices] = WA_calculateBlockIndices(jj,m, n, partition)

    [J_max, M_min, M_length] = WA_frequencyPartition(min(n),partition);
    
    pos = 0;
    
    for t = 0:(jj-1)        
        if(M_length(t+1) ~= 0)
            if(M_min(t+1) ~=0)
                pos = pos + prod(n)/(min(n)^length(n))*2^(t+1)*(M_length(t+1)^length(n)-M_min(t+1)^length(n));        
            else
                pos = pos + prod(n)/(min(n)^length(n))*2^(t+1)*M_length(t+1)^length(n);        
            end
        end
    end
    
    indices = 0;
    if(length(n) == 1)    
        indices = (pos + 2^(jj+1)*(m(1)-M_min(jj+1)))+(1:2^(jj+1));
    elseif(length(n) == 2)        
        for m1 = 0:(M_length(jj+1)-1)
            for m2 = 0:(M_length(jj+1)-1)                
                if(m1 == m(1) && m2 == m(2))
                    indices = indices + (1:((prod(n)/(min(n)^length(n)))*2^((jj+1)*length(n))));
                    indices = reshape(indices,(n/min(n))*2^(jj+1));
                    return;
                else
                    indices = indices + prod(n)/(min(n)^length(n))*2^((jj+1)*length(n));                    
                end 
            end
        end        
    elseif(length(n) == 3)        
        for m1 = 0:(M_length(jj+1)-1)
            for m2 = 0:(M_length(jj+1)-1)                
                for m3 = 0:(M_length(jj+1)-1)                
                    if(m1 == m(1) && m2 == m(2) && m3 == m(3))
                        indices = indices + (1:((prod(n)/(min(n)^length(n)))*2^((jj+1)*length(n))));
                        indices = reshape(indices,(n/min(n))*2^(jj+1));
                        return;
                    else
                        indices = indices + prod(n)/(min(n)^length(n))*2^((jj+1)*length(n));                    
                    end 
                end
            end
        end
    else
        error('Only up to 3D case supported at the moment.')
    end
    
end