function [i] = WA_calculateCoefIndex(jj,m,s,n,partition)

    if(s>prod(n)/(min(n)^length(n))*2^((jj+1)*length(n)))
        error(['Maximum s for scale ', num2str(jj), ' is ',num2strprod(n)/(min(n)^length(n))*(2^((jj+1)*length(n)))])
    end       

    if(WA_validJMcombination(jj,m,n,partition) == 0)
        error('Given jj and m combination is not valid');        
    end

    [J_max, M_min, M_length] = WA_frequencyPartition(min(n),partition);

    indices = WA_calculateBlockIndices(jj,m,n,partition);   
    
    i = indices(s);
    
        
end