function [combinations] = WA_generateValidJMcombinations(n,partition)

    [J_max, M_min, M_length] = WA_frequencyPartition(min(n),partition);   
        
    pos = 1;    
    
    if length(n) == 1
        for jj = 1:(J_max+1)
            for m = M_min(jj):(M_length(jj)-1)
                combinations(pos,:) = [jj-1,m];
                pos = pos + 1;
            end
        end
    elseif length(n) == 2
        for jj = 1:(J_max+1)
            for m1 = 0:(M_length(jj)-1)
                for m2 = 0:(M_length(jj)-1)
                    if(m1>=M_min(jj) || m2 >=M_min(jj))                
                        combinations(pos,:) = [jj-1,m1,m2];
                        pos = pos + 1;
                    end
                end
            end
        end        
    elseif length(n) == 3
        for jj = 1:(J_max+1)
            for m1 = 0:(M_length(jj)-1)
                for m2 = 0:(M_length(jj)-1)
                    for m3 = 0:(M_length(jj)-1)
                        if(m1>=M_min(jj) || m2 >=M_min(jj) || m3 >=M_min(jj))                
                            combinations(pos,:) = [jj-1,m1,m2,m3];
                            pos = pos + 1;
                        end
                    end
                end
            end
        end        
    else
        error('Only up to 3D case supported at the moment.')
    end
end

