function [result] = WA_validJMcombination(jj,m,n,partition)
    
    [J_max, M_min, M_length] = WA_frequencyPartition(min(n),partition);
    
    result = 0;
    if (length(n) == 1)
        if (jj <= J_max && ...
            M_min(jj+1) <= m(1) && m(1)<M_min(jj+1)+M_length(jj+1))
            result = 1;
        end
    elseif (length(n) == 2)
        if (jj <= J_max && (...
            (M_min(jj+1) <= m(1) && m(1)<M_min(jj+1)+M_length(jj+1)) || ...
            (M_min(jj+1) <= m(2) && m(2)<M_min(jj+1)+M_length(jj+1)) ...
            ))
            result = 1;
        end        
    elseif (length(n) == 3)
        if (jj <= J_max && (...
            (M_min(jj+1) <= m(1) && m(1)<M_min(jj+1)+M_length(jj+1)) || ...
            (M_min(jj+1) <= m(2) && m(2)<M_min(jj+1)+M_length(jj+1)) || ...
            (M_min(jj+1) <= m(3) && m(3)<M_min(jj+1)+M_length(jj+1)) ...
            ))
            result = 1;
        end                
    else
        error('Only up to 3D case supported at the moment.')
    end 

end